[librest] autogen.sh: support calling from out of tree
- From: Christophe Fergeau <teuf src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [librest] autogen.sh: support calling from out of tree
- Date: Sat, 16 Jun 2012 09:36:07 +0000 (UTC)
commit 4e98bedef030b6163bb8d3d26053447a4f97f61a
Author: Christophe Fergeau <cfergeau redhat com>
Date: Sat Jun 16 11:02:03 2012 +0200
autogen.sh: support calling from out of tree
https://bugzilla.gnome.org/show_bug.cgi?id=667572
autogen.sh | 15 ++++++++++++---
1 files changed, 12 insertions(+), 3 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index b49795d..a345dc3 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,4 +1,13 @@
#!/bin/sh
+
+set -e
+
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+
+olddir=`pwd`
+cd "$srcdir"
+
GTKDOCIZE=`which gtkdocize`
if test -z $GTKDOCIZE; then
echo "*** No gtk-doc support ***"
@@ -10,6 +19,6 @@ fi
ACLOCAL="${ACLOCAL-aclocal} $ACLOCAL_FLAGS" autoreconf -v -i
-if test -z "$NOCONFIGURE"; then
- exec ./configure "$@"
-fi
+cd "$olddir"
+
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]